ProcessBuilder.Redirect.Type (Java Platform SE 8 )
Keywords: java.lang.ProcessBuilder.Redirect.Type class
Date: 2026-04-17

compact1, compact2, compact3
java.lang

## Enum ProcessBuilder.Redirect.Type

- java.lang.Object
- - java.lang.Enum<ProcessBuilder.Redirect.Type>
  - - java.lang.ProcessBuilder.Redirect.Type

- All Implemented Interfaces:
    Serializable, Comparable<ProcessBuilder.Redirect.Type>
  Enclosing class:
    ProcessBuilder.Redirect

      public static enum ProcessBuilder.Redirect.Type
      extends Enum<ProcessBuilder.Redirect.Type>

  The type of a `ProcessBuilder.Redirect`.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `APPEND` The type of redirects returned from `Redirect.appendTo(File)`.
    `INHERIT` The type of `Redirect.INHERIT`.
    `PIPE` The type of `Redirect.PIPE`.
    `READ` The type of redirects returned from `Redirect.from(File)`.
    `WRITE` The type of redirects returned from `Redirect.to(File)`.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ProcessBuilder.Redirect.Type` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ProcessBuilder.Redirect.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PIPE

          public static final ProcessBuilder.Redirect.Type PIPE

      The type of `Redirect.PIPE`.

    - #### INHERIT

          public static final ProcessBuilder.Redirect.Type INHERIT

      The type of `Redirect.INHERIT`.

    - #### READ

          public static final ProcessBuilder.Redirect.Type READ

      The type of redirects returned from `Redirect.from(File)`.

    - #### WRITE

          public static final ProcessBuilder.Redirect.Type WRITE

      The type of redirects returned from `Redirect.to(File)`.

    - #### APPEND

          public static final ProcessBuilder.Redirect.Type APPEND

      The type of redirects returned from `Redirect.appendTo(File)`.

  - ### Method Detail

    - #### values

          public static ProcessBuilder.Redirect.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ProcessBuilder.Redirect.Type c : ProcessBuilder.Redirect.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ProcessBuilder.Redirect.Type valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.